Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596074 - Review Request: multithreadedtc - A framework for testing concurrent Java application
Review Request: multithreadedtc - A framework for testing concurrent Java app...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 05:29 EDT by huwang
Modified: 2010-06-01 12:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-01 12:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description huwang 2010-05-26 05:29:21 EDT
Spec URL: http://huwang.fedorapeople.org/packages/multithreadedtc/multithreadedtc.spec
SRPM URL: http://huwang.fedorapeople.org/packages/multithreadedtc/multithreadedtc-1.0.1-1.src.rpm
Description: MultithreadedTC is a framework for testing concurrent applications. 
It features a metronome that is used to provide fine control over the sequence of activities in multiple threads.
Comment 1 huwang 2010-05-26 05:36:10 EDT
Notes:
- Built in koji with dist-f14-maven221 target, the link is http://koji.fedoraproject.org/koji/taskinfo?taskID=2210222

- Adding build.patch that remove retrotranslator dependency and pom, the package link is http://huwang.fedorapeople.org/packages/multithreadedtc
Comment 2 huwang 2010-05-26 05:55:46 EDT
I rebuild this package in koji with dist-f14-maven221 target, here is the link: http://koji.fedoraproject.org/koji/taskinfo?taskID=2210261
Comment 3 Alexander Kurtakov 2010-05-26 07:15:53 EDT
Please add a depmap for multithreadedtc-jdk14 to point to the multithreadedtc jar.
Comment 4 Alexander Kurtakov 2010-05-26 11:09:27 EDT
I'll take this one.
Comment 5 Alexander Kurtakov 2010-05-26 11:26:31 EDT
* Why don't you use upstream tarball http://multithreadedtc.googlecode.com/files/MultithreadedTC-1.01-source.zip ? Please use it.
Note that you'll have to remove the jars from it.

* You're missing 
Requires: jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
They are needed because you invoke update_maven_depmap

* You're missing 
Requires:       jpackage-utils 
for the javadoc subpackage

* Please remove  ls -lR from install section

* Please fix the following rpmlint warnings:
multithreadedtc.noarch: E: description-line-too-long C It features a metronome that is used to provide fine control over the sequence of activities in multiple threads.

Fix line length

multithreadedtc.noarch: W: no-documentation

You should include LICENSE.txt and README.txt as %doc 

multithreadedtc-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/multithreadedtc-1.0.1/package-list
multithreadedtc-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/multithreadedtc-1.0.1/stylesheet.css

You should fix these by doing sed -i 's/\r//' <file_to_strip>  for both of them in the %prep section.
Comment 6 huwang 2010-05-27 03:49:07 EDT
(In reply to comment #5)
> * Why don't you use upstream tarball
> http://multithreadedtc.googlecode.com/files/MultithreadedTC-1.01-source.zip ?
> Please use it.
> Note that you'll have to remove the jars from it.
> 
> * You're missing 
> Requires: jpackage-utils
> Requires(post): jpackage-utils
> Requires(postun): jpackage-utils
> They are needed because you invoke update_maven_depmap
> 
> * You're missing 
> Requires:       jpackage-utils 
> for the javadoc subpackage
> 
> * Please remove  ls -lR from install section
> 
> * Please fix the following rpmlint warnings:
> multithreadedtc.noarch: E: description-line-too-long C It features a metronome
> that is used to provide fine control over the sequence of activities in
> multiple threads.
> 
> Fix line length
> 
> multithreadedtc.noarch: W: no-documentation
> 
> You should include LICENSE.txt and README.txt as %doc 
> 
> multithreadedtc-javadoc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/javadoc/multithreadedtc-1.0.1/package-list
> multithreadedtc-javadoc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/javadoc/multithreadedtc-1.0.1/stylesheet.css
> 
> You should fix these by doing sed -i 's/\r//' <file_to_strip>  for both of them
> in the %prep section.    

Fixed all, please review again, thanks.

Spec URL: http://huwang.fedorapeople.org/packages/multithreadedtc/multithreadedtc.spec
SRPM URL: http://huwang.fedorapeople.org/packages/multithreadedtc/multithreadedtc-1.01-2.src.rpm
package link : http://huwang.fedorapeople.org/packages/multithreadedtc 

Here is the scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2212150
Comment 9 Alexander Kurtakov 2010-05-27 05:53:39 EDT
Review:

FIXIT: rpmlint must be run on every package. Output:
multithreadedtc.noarch: W: spelling-error Summary(en_US) concuurent -> concurrent, concurrency, concurrence
multithreadedtc.noarch: W: non-conffile-in-etc /etc/maven/fragments/multithreadedtc

Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

This package is APPROVED.
Comment 10 huwang 2010-05-27 06:01:47 EDT
New Package CVS Request
=======================
Package Name: multithreadedtc
Short Description: A framework for testing concurent Java application
Owners: huwang
Branches: 
InitialCC:
Comment 11 huwang 2010-05-27 06:09:18 EDT
Sorry, make a mistake in Comment 10, please ignore it.

New Package CVS Request
=======================
Package Name: multithreadedtc
Short Description: A framework for testing concurrent Java application
Owners: huwang
Branches: 
InitialCC:
Comment 12 Alexander Kurtakov 2010-05-28 09:10:25 EDT
You have to put the fedora-cvs flag.
Comment 13 Kevin Fenzi 2010-05-31 15:23:47 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.